#!/bin/sh

# Update various init script priorities

# open-iscsi shouldn't be killed when switching runlevels
update-rc.d -f open-iscsi remove
update-rc.d open-iscsi start 41 0 1 6 . start 25 S .
# don't disconnect from targets when xend brings up peth2
rm /etc/network/if-up.d/open-iscsi
rm /etc/network/if-down.d/open-iscsi

# clvm needs to be running before lvm2 starts
update-rc.d -f clvm remove
update-rc.d clvm start 3 0 6 . start 65 S .

# Start ssh early in the boot process so we can get in to fix things
# when there is a hang.
update-rc.d -f ssh remove
update-rc.d ssh start 1 0 1 2 3 4 5 6 . start 60 S .

# leave network interfaces up for reboot so iscsi can disconnect
# see http://groups.google.com/group/open-iscsi/msg/a547c613a23abd81
perl -pi.bak -e 's/reboot -d -f -i/reboot -d -f/' /etc/init.d/reboot
